# TdApi.ReplyMarkupInlineKeyboard

Package it.ernytech.tdlib

## Class TdApi.ReplyMarkupInlineKeyboard

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ReplyMarkup
    - - it.ernytech.tdlib.TdApi.ReplyMarkupInlineKeyboard

Enclosing class:
  TdApi

    public static class TdApi.ReplyMarkupInlineKeyboard
    extends TdApi.ReplyMarkup

Contains an inline keyboard layout.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InlineKeyboardButton[][]` `rows` A list of rows of inline keyboard buttons.

### Constructor Summary

Constructors
`ReplyMarkupInlineKeyboard()` Default constructor.
`ReplyMarkupInlineKeyboard​(TdApi.InlineKeyboardButton[][] rows)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### rows

    public TdApi.InlineKeyboardButton[][] rows

A list of rows of inline keyboard buttons.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ReplyMarkupInlineKeyboard

    public ReplyMarkupInlineKeyboard()

Default constructor.

#### ReplyMarkupInlineKeyboard

    public ReplyMarkupInlineKeyboard​(TdApi.InlineKeyboardButton[][] rows)

Constructor for initialization of all fields.

Parameters:
  `rows` - A list of rows of inline keyboard buttons.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR